Bug 202662 - Manual IP entry screen is very picky
Manual IP entry screen is very picky
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-15 15:25 EDT by Adam Jackson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 11:56:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2006-08-15 15:25:54 EDT
Description of problem:

If at the DHCP/v4/v6 screen you uncheck DHCP but leave the other two enabled,
then on the next screen both types of address will be required; if you don't
fill in a v6 address, it forces you to Retry until you do.

Worse, if you go back to the dhcp/v4/v6 screen and uncheck v6, when you go
forward again to the IP entry screen, it has remembered the NS IP you entered
but not the host IP, netmask, or gateway.

It should either remember everything it can, or offer a dialog like "you forgot
IPv6, go ahead without it?"
Comment 1 David Cantrell 2006-08-16 11:05:20 EDT
This is all me.

I know about it forgetting some values when you go back.  I'll get that fixed up.

On the input validation issue... the whole point of the first dialog was to ask
the user what network values they wanted to enter so that I could set up the
dialog and input validation for the next screen.  So if you check IPv6, it will
expect you to give it a valid IPv6 address.  Dealing with limited screen real
estate sort of demaned two dialog boxes.

I could modifying it so that if the user checks IPv6 and then fails to give
anything, it'll proceed and disable IPv6 for installation.  But if you check it
and then type in "foo", it'll still try to validate.  Let me play around with
this some more and then see if I like it or not.
Comment 2 Adam Jackson 2006-08-16 13:07:20 EDT
I don't much mind the validation thing if it remembers values.
Comment 3 David Cantrell 2006-08-29 11:56:15 EDT
Alright, so it remembers now.

Note You need to log in before you can comment on or make changes to this bug.